<?php
// Si les champs sont vids, cela remettra les valeurs par dfaut gnres ici
// Permet de formater les champs correctement  la validation.
// Ne sert que dans parametrage_livre.php
// Si la variable n'existe pas encore, cela vite le undefined var
function ekm_champs_couleurs($nom_du_champ, $coul_par_defaut)
{
    if(preg_match('`^[a-f0-9]{6}$`i', $nom_du_champ))
    {  
        $nom_du_champ = '#'.strtoupper($nom_du_champ);
    }
    elseif(preg_match('`^#[a-f0-9]{6}$`i', $nom_du_champ))
    {
        $nom_du_champ = strtoupper($nom_du_champ);
    }
    else
    {
        $nom_du_champ = $coul_par_defaut;
    }
    return $nom_du_champ;
}


function ekm_champs_couleurs_T($nom_du_champ, $coul_par_defaut)
{
    if(preg_match('`^[a-f0-9]{6}$`i', $nom_du_champ))
    { 
        $nom_du_champ = '#'.strtoupper($nom_du_champ);
    }
    elseif(preg_match('`^#[a-f0-9]{6}$`i', $nom_du_champ))
    {
        $nom_du_champ = strtoupper($nom_du_champ);
    }
    elseif(preg_match('`^transparent$`i', $nom_du_champ))
    {
        $nom_du_champ = strtolower($nom_du_champ);
    }
    else
    {
        $nom_du_champ = $coul_par_defaut;
    }
    return $nom_du_champ;
}


function ekm_pixels($nom_du_champ, $nb_de_px)
{
    $nom_du_champ = trim($nom_du_champ);

    if ($nom_du_champ == '')
    {
        $nom_du_champ = $nb_de_px;
    }
    elseif (preg_match('`^(%|px)$`', $nom_du_champ)) // S'il n'y a que % ou px
    {
        $nom_du_champ = $nb_de_px;
    }
    elseif (preg_match('`(%|px)$`', $nom_du_champ)) // Si se finit par % ou px
    {
        $nom_du_champ = $nom_du_champ;
    }
    elseif (preg_match('`^(none)$`', $nom_du_champ))// S'il n'y a que none
    {
        $nom_du_champ = $nom_du_champ; // C'est bon
    }
    elseif (!preg_match('`(%|px)$`', $nom_du_champ)) // Si a ne se finit pas par % ou px
    {
        $nom_du_champ = $nom_du_champ.'px'; // Mettre px par dfaut
    }
    else
    {
    $nom_du_champ = $nb_de_px;
    }
        return $nom_du_champ;
}


function ekm_pixels_auto($nom_du_champ, $nb_de_px)
{
    $nom_du_champ = trim($nom_du_champ);

    if ($nom_du_champ == '')
    {
        $nom_du_champ = $nb_de_px;
    }
    elseif (preg_match('`^(%|px)$`', $nom_du_champ)) // S'il n'y a que % ou px
    {
        $nom_du_champ = $nb_de_px; // Mettre valeur par dfaut
    }
    elseif (preg_match('`(%|px)$`', $nom_du_champ)) // Si se finit par % ou px
    {
        $nom_du_champ = $nom_du_champ;
    }
    elseif (preg_match('`^(auto)$`', $nom_du_champ))// S'il n'y a que auto
    {
        $nom_du_champ = $nom_du_champ; // C'est bon
    }
    elseif (!preg_match('`(%|px)$`', $nom_du_champ)) // Si a ne se finit pas par % ou px
    {
        $nom_du_champ = $nom_du_champ.'px'; // Mettre px par dfaut
    }
    else
    {
    $nom_du_champ = $nb_de_px;
    }
        return $nom_du_champ;
}


function ekm_police($nom_du_champ, $type_police)
{
    if (trim($nom_du_champ) == '')
    {
        $nom_du_champ = $type_police;
    }
    $nom_du_champ = trim(nettoyage_env_sign($nom_du_champ));
    return $nom_du_champ;
}

function ekm_fct_01($chaine)
{
    $chaine = trim($chaine);
    if (empty($chaine)) {$chaine = '0';}
    return $chaine;
}

#-- Section 1
if (trim($nv_nom_url_accueil_site) == '') {$nv_nom_url_accueil_site = 'http://actif-video.chez-alice.fr/index.php';}

#-- Section 1a
if (empty($langue_sur_livre_final)) {$langue_sur_livre_final = 'lg01_fr';}
if (empty($nv_langue_par_defaut)) {$nv_langue_par_defaut = 'lg01_fr';}

#-- Section 1b
if (empty($nv_active_SAS)) {$nv_active_SAS = 'Desactiver';}
if (empty($nv_type_de_captcha)) {$nv_type_de_captcha = 'image';}
if (empty($nv_type_codage)) {$nv_type_codage = 'chiffres_et_lettres';}

#-- Section 2
$nv_margin_top                   = ekm_pixels($nv_margin_top, '0px');
if (trim($nv_option_menu) == '') {$nv_option_menu = '1';}
$nv_mn_ent_largeur_tablo         = ekm_pixels($nv_mn_ent_largeur_tablo, '600px');
$nv_mn_ent_hauteur_tablo         = ekm_pixels_auto($nv_mn_ent_hauteur_tablo, 'auto');
$nv_mn_ent_margei_tablo          = ekm_pixels($nv_mn_ent_margei_tablo, '0px');

$nv_mn_ent_police_signer           = ekm_police($nv_mn_ent_police_signer, 'Verdana');
$nv_mn_ent_taill_police_sign       = ekm_pixels($nv_mn_ent_taill_police_sign, '11px');
$nv_mn_ent_coul_txt_defo           = ekm_champs_couleurs($nv_mn_ent_coul_txt_defo, '#E7E7E7');
if ($nv_mn_ent_img_fd_tablo == '') {$nv_mn_ent_img_fd_tablo = 'Aucune image';}
$nv_mn_ent_coul_fd_tablo           = ekm_champs_couleurs_T($nv_mn_ent_coul_fd_tablo, '#303030');

$nv_mn_ent_coul_bord_tablo = ekm_champs_couleurs($nv_mn_ent_coul_bord_tablo, '#000000');
$nv_mn_ent_epaisseur_bordure_tableau = ekm_pixels($nv_mn_ent_epaisseur_bordure_tableau, '2px');
if (empty($nv_mn_ent_style_bordure_tableau)) {$nv_mn_ent_style_bordure_tableau = 'solid';}

#-- Section 2a
if (empty($nv_mess_accueil_lecture_activer)) {$nv_mess_accueil_lecture_activer = 'oui';}
$nv_mess_accueil_lecture_largeur_tableau = ekm_pixels($nv_mess_accueil_lecture_largeur_tableau, '600px');
$nv_mess_accueil_lecture_hauteur_tableau = ekm_pixels_auto($nv_mess_accueil_lecture_hauteur_tableau, 'auto');
$nv_mess_accueil_lecture_margei_tableau = ekm_pixels($nv_mess_accueil_lecture_margei_tableau, '2px');
$nv_mess_accueil_lecture_police = ekm_police($nv_mess_accueil_lecture_police, 'Verdana');
$nv_mess_accueil_lecture_taille_police = ekm_pixels($nv_mess_accueil_lecture_taille_police, '11px');
$nv_mess_accueil_lecture_couleur_police = ekm_champs_couleurs($nv_mess_accueil_lecture_couleur_police, '#E7E7E7');
if (empty($nv_mess_accueil_lecture_image_fond_tableau)) {$nv_mess_accueil_lecture_image_fond_tableau = 'Aucune image';}
$nv_mess_accueil_lecture_couleur_fond_tableau = ekm_champs_couleurs_T($nv_mess_accueil_lecture_couleur_fond_tableau, '#303030');

$nv_mess_accueil_lecture_couleur_bordure_tableau = ekm_champs_couleurs($nv_mess_accueil_lecture_couleur_bordure_tableau, '#000000');
$nv_mess_accueil_lecture_epaisseur_bordure_tableau = ekm_pixels($nv_mess_accueil_lecture_epaisseur_bordure_tableau, '2px');
if (empty($nv_mess_accueil_lecture_style_bordure_tableau)) {$nv_mess_accueil_lecture_style_bordure_tableau = 'solid';}


if (empty($nv_mess_accueil_signature_activer)) {$nv_mess_accueil_signature_activer = 'oui';}
$nv_mess_accueil_signature_largeur_tableau = ekm_pixels($nv_mess_accueil_signature_largeur_tableau, '600px');
$nv_mess_accueil_signature_hauteur_tableau = ekm_pixels_auto($nv_mess_accueil_signature_hauteur_tableau, 'auto');
$nv_mess_accueil_signature_margei_tableau = ekm_pixels($nv_mess_accueil_signature_margei_tableau, '2px');
$nv_mess_accueil_signature_police = ekm_police($nv_mess_accueil_signature_police, 'Verdana');
$nv_mess_accueil_signature_taille_police = ekm_pixels($nv_mess_accueil_signature_taille_police, '11px');
$nv_mess_accueil_signature_couleur_police = ekm_champs_couleurs($nv_mess_accueil_signature_couleur_police, '#E7E7E7');
if (empty($nv_mess_accueil_signature_image_fond_tableau)) {$nv_mess_accueil_signature_image_fond_tableau = 'Aucune image';}
$nv_mess_accueil_signature_couleur_fond_tableau = ekm_champs_couleurs_T($nv_mess_accueil_signature_couleur_fond_tableau, '#303030');

$nv_mess_accueil_signature_couleur_bordure_tableau = ekm_champs_couleurs($nv_mess_accueil_signature_couleur_bordure_tableau, '#000000');
$nv_mess_accueil_signature_epaisseur_bordure_tableau = ekm_pixels($nv_mess_accueil_signature_epaisseur_bordure_tableau, '2px');
if (empty($nv_mess_accueil_signature_style_bordure_tableau)) {$nv_mess_accueil_signature_style_bordure_tableau = 'solid';}

#-- Section 4
$nv_sign_largeur_tablo                 = ekm_pixels($nv_sign_largeur_tablo, '600px');
$nv_sign_pourcentage_largeur_colonne_G = ekm_pixels($nv_sign_pourcentage_largeur_colonne_G, '26%');
$nv_sign_police                        = ekm_police($nv_sign_police, 'Verdana');
$nv_sign_taill_police                  = ekm_pixels($nv_sign_taill_police, '11px');
$nv_sign_coul_txt_defo                 = ekm_champs_couleurs($nv_sign_coul_txt_defo, '#E7E7E7');
$nv_sign_taill_police_chps_obligs      = ekm_pixels($nv_sign_taill_police_chps_obligs, '9px');
$nv_sign_coul_chps_obliges             = ekm_champs_couleurs($nv_sign_coul_chps_obliges, '#FF0000');
if ($nv_sign_img_fd_tablo == '')       {$nv_sign_img_fd_tablo = 'Aucune image';}
$nv_sign_coul_fd_tablo                 = ekm_champs_couleurs_T($nv_sign_coul_fd_tablo, '#303030');
$nv_sign_coul_bord_tablo               = ekm_champs_couleurs($nv_sign_coul_bord_tablo, '#000000');

$nv_sign_epaisseur_bordure_tableau = ekm_pixels($nv_sign_epaisseur_bordure_tableau, '2px');
if (empty($nv_sign_style_bordure_tableau)) {$nv_sign_style_bordure_tableau = 'solid';}

#-- Section 5
$nv_valeur_defaut_pays = trim($nv_valeur_defaut_pays);
if (empty($nv_valeur_defaut_pays)) {$nv_valeur_defaut_pays = 'France';}
$nv_champs_nb_caract_autor_nom = ekm_fct_01($nv_champs_nb_caract_autor_nom);
$nv_champs_nb_caract_autor_email = ekm_fct_01($nv_champs_nb_caract_autor_email);
$nv_champs_nb_caract_autor_url = ekm_fct_01($nv_champs_nb_caract_autor_url);
$nv_champs_nb_caract_autor_pays = ekm_fct_01($nv_champs_nb_caract_autor_pays);
$nv_champs_nb_caract_autor_passadmin = ekm_fct_01($nv_champs_nb_caract_autor_passadmin);
$nv_largeur_champ_neurl = ekm_fct_01($nv_largeur_champ_neurl);
$nv_largeur_champ_mess = ekm_fct_01($nv_largeur_champ_mess);
$nv_nb_ligne_champ_mess = ekm_fct_01($nv_nb_ligne_champ_mess);
$nv_largeur_champ_passadmin = ekm_fct_01($nv_largeur_champ_passadmin);
$nv_champs_police_neurl = ekm_police($nv_champs_police_neurl, 'Verdana');
$nv_champs_taill_police_neurl = ekm_pixels($nv_champs_taill_police_neurl, '11px');
$nv_champs_coul_txt_neurl = ekm_champs_couleurs($nv_champs_coul_txt_neurl, '#E7E7E7');
$nv_champs_coul_fd_tablo_neurl = ekm_champs_couleurs($nv_champs_coul_fd_tablo_neurl, '#303030');
$nv_champs_coul_bord = ekm_champs_couleurs($nv_champs_coul_bord, '#383838');
$nv_champs_coul_bord_mess = ekm_champs_couleurs($nv_champs_coul_bord_mess, '#383838');
$nv_champs_bord_epais_neurl = ekm_pixels($nv_champs_bord_epais_neurl, '2px');
if (empty($nv_champs_bord_style_neurl)) {$nv_champs_bord_style_neurl = 'solid';}
$nv_champs_bord_epais_mess = ekm_pixels($nv_champs_bord_epais_mess, '2px');
if (empty($nv_champs_bord_style_mess)) {$nv_champs_bord_style_mess = 'solid';}

#-- Section 6
$nv_champs_coul_fd_note = ekm_champs_couleurs($nv_champs_coul_fd_note, '#303030');
$nv_champs_coul_prem_note = ekm_champs_couleurs($nv_champs_coul_prem_note, '#FF9900');
$nv_champs_coul_deux_note = ekm_champs_couleurs($nv_champs_coul_deux_note, '#33CC99');

#-- Section 7
$nv_limit_nb_caract_mess_larg_chp = ekm_pixels($nv_limit_nb_caract_mess_larg_chp, '30px');
if (trim($nv_limit_nb_caract_message) == '') {$nv_limit_nb_caract_message = 0;}
$nv_limit_nb_caract_message_coul = ekm_champs_couleurs($nv_limit_nb_caract_message_coul, '#FF0000');

#-- Section 8
if (trim($nv_nb_smileys_max_sign) == '') {$nv_nb_smileys_max_sign = 44;}
if (trim($nv_nb_smileys_par_ligne_sign) == '') {$nv_nb_smileys_par_ligne_sign = 11;}
$nv_smil_police = ekm_police($nv_smil_police, 'Arial');
$nv_smil_taill_police = ekm_pixels($nv_smil_taill_police, '11px');
$nv_smil_coul_txt_defo = ekm_champs_couleurs($nv_smil_coul_txt_defo, '#DD6900');
if ($nv_sign_img_fd_tablo_smileys == '') {$nv_sign_img_fd_tablo_smileys = 'Aucune image';}

#-- Section 9
$nv_policeboutsigner = ekm_police($nv_policeboutsigner, 'Verdana');
$nv_taillepoliceboutsigner = ekm_pixels($nv_taillepoliceboutsigner, '11px');
$nv_coultexteboutsigner = ekm_champs_couleurs($nv_coultexteboutsigner, '#E7E7E7');
$nv_backgroundbout = ekm_champs_couleurs($nv_backgroundbout, '#303030');
$nv_coulliseret = ekm_champs_couleurs($nv_coulliseret, '#DD6900');
$nv_largeurliseret = ekm_pixels($nv_largeurliseret, '3px');
if (empty($nv_bt_env_eff_style_liseret)) {$nv_bt_env_eff_style_liseret = 'solid';}

#-- Section 10
$nv_bbc_bout_police = ekm_police($nv_bbc_bout_police, 'Verdana');
$nv_bbc_bout_taill_police = ekm_pixels($nv_bbc_bout_taill_police, '9px');
$nv_bbc_coul_police = ekm_champs_couleurs($nv_bbc_coul_police, '#E7E7E7');
$nv_bbc_coul_fd_bout = ekm_champs_couleurs($nv_bbc_coul_fd_bout, '#303030');
$nv_bbc_coul_liseret = ekm_champs_couleurs($nv_bbc_coul_liseret, '#DD6900');
$nv_bbc_largeur_liseret = ekm_pixels($nv_bbc_largeur_liseret, '2px');
if (empty($nv_bt_bbc_style_liseret)) {$nv_bt_bbc_style_liseret = 'solid';}

#-- Section 11
$nv_tabbbc_aide_police = ekm_police($nv_tabbbc_aide_police, 'Verdana');
$nv_tabbbc_aide_taille_police = ekm_pixels($nv_tabbbc_aide_taille_police, '11px');
$nv_tabbbc_aide_coul_titre_entete = ekm_champs_couleurs($nv_tabbbc_aide_coul_titre_entete, '#FFFFFF');
$nv_tabbbc_aide_coul_entete = ekm_champs_couleurs($nv_tabbbc_aide_coul_entete, '#803030');
$nv_tabbbc_aide_jaune = ekm_champs_couleurs($nv_tabbbc_aide_jaune, '#FFFF00');
$nv_tabbbc_aide_orange = ekm_champs_couleurs($nv_tabbbc_aide_orange, '#FF9900');
$nv_tabbbc_aide_rouge = ekm_champs_couleurs($nv_tabbbc_aide_rouge, '#FF0000');
if ($nv_tabbbc_aide_img_arriere_plan == '') {$nv_tabbbc_aide_img_arriere_plan = 'Aucune image';}
$nv_tabbbc_aide_coul_arriere_plan = ekm_champs_couleurs_T($nv_tabbbc_aide_coul_arriere_plan, '#181818');
$nv_tabbbc_aide_coul_liseret = ekm_champs_couleurs($nv_tabbbc_aide_coul_liseret, '#FFFFFF');
if ($nv_sign_img_fd_tablo_aide == '') {$nv_sign_img_fd_tablo_aide = 'Aucune image';}

#-- Section 12
$nv_nbmesstotal_largeur_tablo = ekm_pixels($nv_nbmesstotal_largeur_tablo, '600px');
$nv_nbmesstotal_hauteur_tablo  = ekm_pixels_auto($nv_nbmesstotal_hauteur_tablo, 'auto');
$nv_nbmesstotal_margei_tablo = ekm_pixels($nv_nbmesstotal_margei_tablo, '2px');
$nv_nbmesstotal_police = ekm_police($nv_nbmesstotal_police, 'Verdana');
$nv_nbmesstotal_taille_police = ekm_pixels($nv_nbmesstotal_taille_police, '11px');
if ($nv_nbmesstotal_img_fd_tablo == '') {$nv_nbmesstotal_img_fd_tablo = 'Aucune image';}
$nv_nbmesstotal_coul_fd_tablo = ekm_champs_couleurs_T($nv_nbmesstotal_coul_fd_tablo, '#303030');
$nv_nbmesstotal_coul_bord_tablo = ekm_champs_couleurs($nv_nbmesstotal_coul_bord_tablo, '#000000');

$nv_nbmesstotal_epaisseur_bordure_tableau = ekm_pixels($nv_nbmesstotal_epaisseur_bordure_tableau, '2px');
if (empty($nv_nbmesstotal_style_bordure_tableau)) {$nv_nbmesstotal_style_bordure_tableau = 'solid';}

$nv_nbmesstotal_coul = ekm_champs_couleurs($nv_nbmesstotal_coul, '#DD6900');
$nv_nbmess_pg_coul = ekm_champs_couleurs($nv_nbmess_pg_coul, '#E7E7E7');
$nv_num_pg_coul = ekm_champs_couleurs($nv_num_pg_coul, '#E7E7E7');

#-- Section 13
$nv_mess_ent_largeur_tablo_lr = ekm_pixels($nv_mess_ent_largeur_tablo_lr, '600px');

$nv_mess_ent_hauteur_tableau  = ekm_pixels_auto($nv_mess_ent_hauteur_tableau, 'auto');
$nv_mess_ent_marge_HB_tableau = ekm_pixels($nv_mess_ent_marge_HB_tableau, '2px');
$nv_mess_ent_marge_GD_tableau = ekm_pixels($nv_mess_ent_marge_GD_tableau, '2px');

$nv_mess_ent_police_lr = ekm_police($nv_mess_ent_police_lr, 'Verdana');
$nv_mess_ent_taill_police_lr = ekm_pixels($nv_mess_ent_taill_police_lr, '11px');
$nv_mess_ent_coul_police_lr = ekm_champs_couleurs($nv_mess_ent_coul_police_lr, '#DD6900');
if ($nv_img_entete_visit == '') {$nv_img_entete_visit = 'Aucune image';}
$nv_mess_ent_coul_fd_tablo_lr = ekm_champs_couleurs_T($nv_mess_ent_coul_fd_tablo_lr, '#1F1F1F');
if ($nv_img_entete_admin == '') {$nv_img_entete_admin = 'Aucune image';}
$nv_mess_ent_coul_fd_tablo_boss_lr = ekm_champs_couleurs_T($nv_mess_ent_coul_fd_tablo_boss_lr, '#820000');
$nv_mess_ent_coul_bord_tablo_lr = ekm_champs_couleurs($nv_mess_ent_coul_bord_tablo_lr, '#000000');

$nv_mess_ent_epaisseur_bordure_tableau = ekm_pixels($nv_mess_ent_epaisseur_bordure_tableau, '2px');
if (empty($nv_mess_ent_style_bordure_tableau)) {$nv_mess_ent_style_bordure_tableau = 'solid';}

#-- Section 14
$nv_mess_visit_largeur_tablo_lr = ekm_pixels($nv_mess_visit_largeur_tablo_lr, '600px');

$nv_mess_visit_marge_HB_tableau = ekm_pixels($nv_mess_visit_marge_HB_tableau, '2px');
$nv_mess_visit_marge_GD_tableau = ekm_pixels($nv_mess_visit_marge_GD_tableau, '2px');

$nv_mess_visit_police_lr = ekm_police($nv_mess_visit_police_lr, 'Verdana');
$nv_mess_visit_taill_police_lr = ekm_pixels($nv_mess_visit_taill_police_lr, '11px');
$nv_mess_visit_coul_police_lr = ekm_champs_couleurs($nv_mess_visit_coul_police_lr, '#E7E7E7');
if (trim($nv_img_ar_plan_vis) == '') {$nv_img_ar_plan_vis = 'Aucune image';}
$nv_mess_visit_coul_fd_tablo_lr = ekm_champs_couleurs_T($nv_mess_visit_coul_fd_tablo_lr, '#303030');
$nv_mess_visit_coul_bord_tablo_lr = ekm_champs_couleurs($nv_mess_visit_coul_bord_tablo_lr, '#303030');

$nv_mess_visit_epaisseur_bordure_tableau = ekm_pixels($nv_mess_visit_epaisseur_bordure_tableau, '2px');
if (empty($nv_mess_visit_style_bordure_tableau)) {$nv_mess_visit_style_bordure_tableau = 'solid';}

#-- Section 15
if (trim($nv_nb_mess_par_pg) == '') {$nv_nb_mess_par_pg = 10;}
if (trim($nv_nb_max_pg) == '') {$nv_nb_max_pg = 100;}
$nv_coupecoupe = trim($nv_coupecoupe);
if ($nv_coupecoupe == '') {$nv_coupecoupe = 400;}
$nv_art_pseudo = trim($nv_art_pseudo);
if ($nv_art_pseudo == '') {$nv_art_pseudo = 'du Webmaster';}
$nv_trait_sep_rep_boss_coul = ekm_champs_couleurs($nv_trait_sep_rep_boss_coul, '#FFCC00');

#-- Section 16
if (trim($nv_nb_smileys_max_edit) == '') {$nv_nb_smileys_max_edit = 44;}
if (trim($nv_nb_smileys_par_ligne_edit) == '') {$nv_nb_smileys_par_ligne_edit = 11;}

#-- Section 17
$nv_largeur_tablox_admin = ekm_pixels($nv_largeur_tablox_admin, '600px');

$nv_tableau_admin_marge_HB = ekm_pixels($nv_tableau_admin_marge_HB, '2px');
$nv_tableau_admin_marge_GD = ekm_pixels($nv_tableau_admin_marge_GD, '2px');

$nv_tableau_admin_police = ekm_police($nv_tableau_admin_police, 'Verdana');
$nv_tableau_admin_taille_police = ekm_pixels($nv_tableau_admin_taille_police, '11px');
$nv_tableau_admin_couleur_police = ekm_champs_couleurs($nv_tableau_admin_couleur_police, '#E7E7E7');

if (empty($nv_img_ar_plan_tab_admin_pass)) {$nv_img_ar_plan_tab_admin_pass = 'Aucune image';}
$nv_tableau_admin_couleur_fond = ekm_champs_couleurs_T($nv_tableau_admin_couleur_fond, '#303030');

$nv_tableau_admin_couleur_bordure = ekm_champs_couleurs($nv_tableau_admin_couleur_bordure, '#000000');
$nv_tableau_admin_epaisseur_bordure = ekm_pixels($nv_tableau_admin_epaisseur_bordure, '2px');
if (empty($nv_tableau_admin_style_bordure)) {$nv_tableau_admin_style_bordure = 'solid';}


#-- Section 18
$nv_liens_rep_menu_coul = ekm_champs_couleurs($nv_liens_rep_menu_coul, '#DD6900');
if (trim($nv_liens_rep_menu_fond) == '') {$nv_liens_rep_menu_fond = 'transparent';}
$nv_liens_rep_menu_fond = ekm_champs_couleurs_T($nv_liens_rep_menu_fond, 'transparent');
if ($nv_liens_rep_menu_deco == '') {$nv_liens_rep_menu_deco = 'underline';}
$nv_liens_hov_menu_coul = ekm_champs_couleurs($nv_liens_hov_menu_coul, '#767676');
if (trim($nv_liens_hov_menu_fond) == '') {$nv_liens_hov_menu_fond = 'transparent';}
$nv_liens_hov_menu_fond = ekm_champs_couleurs_T($nv_liens_hov_menu_fond, 'transparent');
if ($nv_liens_hov_menu_deco == '') {$nv_liens_hov_menu_deco = 'underline';}

$nv_liens_rep_coul = ekm_champs_couleurs($nv_liens_rep_coul, '#DD6900');
if (trim($nv_liens_rep_fond) == '') {$nv_liens_rep_fond = 'transparent';}
$nv_liens_rep_fond = ekm_champs_couleurs_T($nv_liens_rep_fond, 'transparent');
if ($nv_liens_rep_deco == '') {$nv_liens_rep_deco = 'underline';}
$nv_liens_hov_coul = ekm_champs_couleurs($nv_liens_hov_coul, '#767676');
if (trim($nv_liens_hov_fond) == '') {$nv_liens_hov_fond = 'transparent';}
$nv_liens_hov_fond = ekm_champs_couleurs_T($nv_liens_hov_fond, 'transparent');
if ($nv_liens_hov_deco == '') {$nv_liens_hov_deco = 'underline';}

$nv_liens_hov_gifs = ekm_champs_couleurs_T($nv_liens_hov_gifs, '#767676');

#-- Section 19
if (trim($nv_transition) == '') {$nv_transition = 0;}

#-- Section 20
if (trim($nv_img_arriere_plan) == '') {$nv_img_arriere_plan = 'Aucune image';}
$nv_coul_fond_page = ekm_champs_couleurs_T($nv_coul_fond_page, '#181818');
if (empty($nv_bg_pos_h)) {$nv_bg_pos_h = 'defaut';}
if (empty($nv_bg_pos_v)) {$nv_bg_pos_v = 'defaut';}
if (empty($nv_bg_repete)) {$nv_bg_repete = 'repeat';}
$nv_coul_error_mess = ekm_champs_couleurs($nv_coul_error_mess, '#FFCC00');

#-- Section 21
if (trim($nv_norme_doctype) == '') {$nv_norme_doctype = 'xhtml10Transitional';}
$nv_coul_barre_de_scroll = ekm_champs_couleurs($nv_coul_barre_de_scroll, '#1F1F1F');
$nv_coul_barre_de_scroll_arrows = ekm_champs_couleurs($nv_coul_barre_de_scroll_arrows, '#DD6900');

#-- Section 22
$nv_pseudo_design_par = trim($nv_pseudo_design_par);
if (empty($nv_pseudo_design_par)) {$nv_pseudo_design_par = '';}
$nv_pseudo_design_par_lien = trim($nv_pseudo_design_par_lien);
if (empty($nv_pseudo_design_par_lien)) {$nv_pseudo_design_par_lien = '';}

#-- Section 23
if (empty($nv_type_media)) {$nv_type_media = 'rien';}
if (empty($nv_img_haut_page_entete)) {$nv_img_haut_page_entete = 'Aucune image';}
if (empty($nv_flash_largeur)) {$nv_flash_largeur = 0;}
if (empty($nv_flash_hauteur)) {$nv_flash_hauteur = 0;}

$nv_hauteur_sous_image = ekm_pixels($nv_hauteur_sous_image, '0px');
$nv_img_haut_page_entete_url = trim($nv_img_haut_page_entete_url);
if (empty($nv_img_haut_page_entete_url)) {$nv_img_haut_page_entete_url = '';}
if (empty($nv_img_haut_page_entete_url_ouvert)) {$nv_img_haut_page_entete_url_ouvert = '_blank';}

#-- Section 24
if (empty($nv_recep_mail)) {$nv_recep_mail = 'D&eacute;sactiv&eacute;';}
if (empty($nv_fai)) {$nv_fai = 'Autres';}
if (empty($nv_destinataire)) {$nv_destinataire = '';}
if (empty($nv_lien_vers_livre)) {$nv_lien_vers_livre = '';}

#-- Section 25
$nv_pseudo_reponse_a_votre_message = trim($nv_pseudo_reponse_a_votre_message);
if (empty($nv_pseudo_reponse_a_votre_message)) {$nv_pseudo_reponse_a_votre_message = '';}
if (empty($nv_lien_vers_livre_bis)) {$nv_lien_vers_livre_bis = '';}
?>