<?php
session_start();
include 'inc/function.php';
//////////include 'inc/transmutation.php';
include 'chmod_perso/chemin.php';
creation_fichier($chem_dossier_chmod_perso.$nom_fichier_des_messages, "Pifou, Livre d'or, tlcharg sur $adresse_du_site\n");
creation_fichier($chem_dossier_chmod_perso.$nom_fichier_des_messages_diff, "Pifou, Livre d'or, tlcharg sur $adresse_du_site\n");
include 'inc/Aip_NoBDD_class.php';
$nm_int_act = 'admin_pass';
include 'inc/vars_init_no_exist.php';
include $chem_dossier_chmod_perso.'cfg_param_intro.php'; // imperativement en dessous de include ('inc/vars_init_no_exist.php');
if ($norme_doctype == 'xhtml10Transitional') {$slash = ' /';} elseif ($norme_doctype == 'html401Transitional') {$slash = '';} // $norme_doctype se trouve dans chmod_perso/cfg_param_intro.php
$lng_sel = (empty($_GET['lng_sel'])) ? '' : $_GET['lng_sel'];
include 'bride_langues.php';

$poster	= (empty($_POST['poster']))	? 'non'	: $_POST['poster'];
$pass	= (empty($_POST['pass']))	? ''	: $_POST['pass'];
$logout	= (empty($_GET['logout']))	? ''	: $_GET['logout'];

include $chem_dossier_chmod_perso.'cfg_choix_skin.php'; // Fichier avec le nom du dossier du skin
include 'langues/'.$lng_sel.'/'.$lng_sel.'_lng_web.php';

// Incrustation du Design [1]
$skins_disponibles = array();
$skins_disponibles = lister_un_dossier($skins_disponibles, 'skins/');
if (in_array ($choix_skin, $skins_disponibles)) //
{
	include 'skins/'.$choix_skin.'/cfg_variables.php';
}

include 'inc/vrs.dat';
if (file_exists($chem_dossier_chmod_perso.'mdp.php')) {require($chem_dossier_chmod_perso.'mdp.php');} else {exit('Le fichier "chmod_perso/<strong>mdp.php</strong>" est manquant. Le script est donc stopp&eacute;.');}

$message_erreur = '';
$erreur_file_exists = (file_exists('install/index.php')) ? 1 : 0;

// Si cette 1ere condition est remplie, mme si la 2me est bonne aussi elle n'est pas vrifie.
if (isset($password_SHA1) and !empty($password_SHA1))
{
	$mdp_type = 'password_SHA1';
	// Si c'est le mdp par dfaut, $mdp_defaut vaut 1
	$mdp_defaut = ($password_SHA1 == '0b9c2625dc21ef05f6ad4ddf47c5f203837aa32c') ? 1 : 0;
}
elseif (isset($password_bis) and !empty($password_bis))
{
	$mdp_type = 'password_standard';
	// Si c'est le mdp par dfaut, $mdp_defaut vaut 1
	$mdp_defaut = ($password_bis == 'toto') ? 1 : 0;   
}
else
{
	$message_erreur  = '<p style="margin-left: 50px;">La variable contenant le mot de passe n\'existe pas. Par s&eacute;curit&eacute; le script est arr&ecirc;t&eacute;.<br /><br />';
	$message_erreur .= 'Vous devez avoir un fichier "mdp.php" dans le dossier "inc" et celui-ci doit contenir la variable :<br />';
	$message_erreur .= '<strong>$password_SHA1</strong> = \'Votre mot de passe crypt en SHA1 comme ceci 0b9c2625dc21ef05f6ad4ddf47c5f203837aa32c\';';
	$message_erreur .= '<br /><br />Ou il se peut que la variable soit vide et ne contienne aucune valeur.</p>';
	exit($message_erreur);
}

/*
1er cas de figure :
Mise en ligne passe direct vers livre_signer.
Fichier install/index.php PRESENT
MDP Original
Cela demontre que EasyInstall n'a pas t utilis DOIT tre IMPERATIVEMENT
redirig vers EasyInstall
*/
if ($erreur_file_exists == 1 and $mdp_defaut == 1)
{
	echo '<meta http-equiv="refresh" content="0; url=install/index.php" />';
	exit();
}

/*
2me cas de figure :
Fichier install/index.php EFFACE
MDP Original
Le MdP doit-tre modifi.
*/
if ($erreur_file_exists == 0 and $mdp_defaut == 1)
{
	echo '<p style="text-align: center;">Le mot de passe est celui par d&eacute;faut, veuillez le modifier.<br />';
	echo 'Par s&eacute;curit&eacute; le script est arr&ecirc;t&eacute;.</p>';
	exit();
}


if($poster == 'oui')
{
	if ($mdp_type == 'password_SHA1')
	{
		// Si c'est le mdp par dfaut, $mdp_correct vaut 1
		$mdp_correct = (sha1($pass) == $password_SHA1) ? 1 : 0;
	}
	elseif ($mdp_type == 'password_standard')
	{
		// Si c'est le mdp par dfaut, $mdp_correct vaut 1
		$mdp_correct = ($pass == $password_bis) ? 1 : 0;
	}


	// Si le mot de passe entr est bon.
	if ($mdp_correct == 1)
	{
		$_SESSION['sessionOK'] = 'ze_pifou_admin';
		$_SESSION['ip_admin'] = $_SERVER['REMOTE_ADDR'];
	}
	else
	{
		$message_erreur = $LANG_alert_bad_pass_01.' '.$LANG_alert_bad_pass_02;
	}
}

if ($logout == 1)
{
	// Dtruit toutes les variables de session
	$_SESSION = array();
	session_destroy();
	header('location: livre_lire.php?lng_sel='.$lng_sel);
	exit();
}

if ($norme_doctype == 'xhtml10Transitional')
{
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<?php
}
elseif ($norme_doctype == 'html401Transitional')
{
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<?php
}
?>
<head>
<title><?php echo $LANG_title_admin; ?></title>
<meta http-equiv="content-type" content="<?php echo $Type_ENCODAGE; ?>"<?php echo $slash; ?>>
<meta name="robots" content="noindex, nofollow"<?php echo $slash; ?>>
<?php
if ($transition == '1')
{
	echo '<meta http-equiv="Page-Enter" content="blendTrans(Duration=2)"'.$slash.'>'."\n";
	echo '<meta http-equiv="Page-Exit" content="blendTrans(Duration=2)"'.$slash.'>'."\n";
}

// Incrustation du Design [2]
if (!in_array ($choix_skin, $skins_disponibles)) //
{
	include 'inc/skins_disponibles.php';
}
else
{
	//--- Style gnral
	$chem_imgs_skin = 'skins/'.$choix_skin.'/imgs/';
	echo '<link rel="stylesheet" type="text/css" href="skins/'.$choix_skin.'/include_gen_admin_pass.php"'.$slash.'>'."\n";
	
	//--- Menu
	include 'skins/'.$choix_skin.'/style_skin_menu_fonctions.php';
	
	//--- Interface
	include 'skins/'.$choix_skin.'/style_skin_admin_fonctions.php';
}

?>
<!--[if lt IE 7]>
<style type="text/css">
img { behavior: url("pngbehavior.htc") }
</style>
<![endif]-->
</head>

<body>
<div align="center">

<?php
//creation_fichier($chem_dossier_chmod_perso.$nom_fichier_des_messages, "Pifou, Livre d'or, tlcharg sur $adresse_du_site\n");

// Incrustation de l'image d'entte si il y en a une
include 'inc/page_haut_image.php';

// Menu
$ze_menu_entete = 'charlie';
include 'inc/page_menu.php';

$size = filesize($chem_dossier_chmod_perso.$nom_fichier_des_messages);

if (isset($_SESSION['sessionOK']) and $_SESSION['sessionOK'] == 'ze_pifou_admin')
{
	include 'inc/aff_donnees.php'; // pour connaitre $nb_messages
	if($nb_messages) {$total_de_messages_en_attente = ' ['.$nb_messages.']';} else {$total_de_messages_en_attente = ' [0]';}
	
	fct_cadre_admin_H();
	fct_cadre_admin_Class();

		echo '		'.$LANG_mess_int_admin_pass_ok.' '.$version_simple.'.<br'.$slash.'>'.$LANG_mess_int_admin_pass_ok_01.'<br'.$slash.'><br'.$slash.'><br'.$slash.'>';

		if ($mdp_type == 'password_standard')
		{
			// Si le mdp est en clair alors on le crypte en SHA1.
			$txt  = '<?php'."\n";
			$txt .= '$password_SHA1 = \''.sha1($password_bis).'\';'."\n";
			$txt .= '?>';

			$fichier = fopen($chem_dossier_chmod_perso.'mdp.php', 'w+');
			fwrite($fichier, $txt);
			fclose($fichier);
		}

			echo '
			<p class="admin_paragraphe">
				<img src="images/edit.gif" width="21" height="16" align="top" alt=""'.$slash.'>
				<img src="images/supp.gif" width="16" height="16" align="top" alt=""'.$slash.'>
					<a href="suppression_livre.php?lng_sel='.$lng_sel.'" class="liens" title="'.$LANG_mess_int_admin_lien_1.'">
						'.$LANG_mess_int_admin_lien_1.'
					</a>
				<img src="images/supp.gif" width="16" height="16" align="top" alt=""'.$slash.'>
				<img src="images/edit.gif" width="21" height="16" align="top" alt=""'.$slash.'>
			</p>

			<p class="admin_paragraphe">
				<img src="images/edit.gif" width="21" height="16" align="top" alt=""'.$slash.'>
				<img src="images/supp.gif" width="16" height="16" align="top" alt=""'.$slash.'>
					<a href="messages_en_attente.php?lng_sel='.$lng_sel.'" class="liens" title="'.$LANG_mess_int_admin_lien_14.'">
						'.$LANG_mess_int_admin_lien_14.$total_de_messages_en_attente.'
					</a>
				<img src="images/supp.gif" width="16" height="16" align="top" alt=""'.$slash.'>
				<img src="images/edit.gif" width="21" height="16" align="top" alt=""'.$slash.'>
			</p>

			<p class="admin_paragraphe">
				<img src="images/save.png" width="16" height="16" align="top" alt=""'.$slash.'>
					<a href="save.php?lng_sel='.$lng_sel.'" class="liens" title="'.$LANG_mess_int_admin_lien_11.'">'.$LANG_mess_int_admin_lien_11.'</a>
				<img src="images/save.png" width="16" height="16" align="top" alt="Sauvegarde des messages">
			</p>
			
			<p class="admin_paragraphe">
				<img src="images/home.png" width="18" height="18" align="top" alt=""'.$slash.'>
					<a href="form_mess_accueil.php?lng_sel='.$lng_sel.'" class="liens" title="'.$LANG_mess_int_admin_lien_10a.'">'.$LANG_mess_int_admin_lien_10a.'</a>
				<img src="images/home.png" width="18" height="18" align="top" alt=""'.$slash.'><br'.$slash.'>
				<img src="images/home.png" width="18" height="18" align="top" alt=""'.$slash.'>
					<a href="form_mess_accueil_signature.php?lng_sel='.$lng_sel.'" class="liens" title="'.$LANG_mess_int_admin_lien_10b.'">'.$LANG_mess_int_admin_lien_10b.'</a>
				<img src="images/home.png" width="18" height="18" align="top" alt=""'.$slash.'>
			</p>
			
			<p class="admin_paragraphe">
				<img src="images/admin.gif" width="17" height="18" align="top" alt=""'.$slash.'>
					<a href="livre_signer_admin.php?lng_sel='.$lng_sel.'" class="liens" title="'.$LANG_mess_int_admin_lien_6.'">'.$LANG_mess_int_admin_lien_6.'</a>
				<img src="images/admin.gif" width="17" height="18" align="top" alt=""'.$slash.'>
			</p>
			
			<p class="admin_paragraphe">
				<img src="images/skin.png" width="16" height="16" align="top" alt=""'.$slash.'>
					<a href="choix_design.php?lng_sel='.$lng_sel.'" class="liens" title="'.$LANG_mess_int_admin_lien_8.'">'.$LANG_mess_int_admin_lien_8.'</a>
				<img src="images/skin.png" width="16" height="16" align="top" alt=""'.$slash.'>
			</p>
			
			<p class="admin_paragraphe">
				<img src="images/config.gif" width="16" height="16" align="top" alt=""'.$slash.'>
					<a href="parametrage_livre.php?lng_sel='.$lng_sel.'" class="liens" title="'.$LANG_mess_int_admin_lien_2.'">'.$LANG_mess_int_admin_lien_2.'</a>
				<img src="images/config.gif" width="16" height="16" align="top" alt=""'.$slash.'>
			</p>
			
			<p class="admin_paragraphe">
				<img src="images/lock.png" width="16" height="16" align="top" alt=""'.$slash.'>
					<a href="modifier_son_mdp.php?lng_sel='.$lng_sel.'" class="liens" title="'.$LANG_mess_int_admin_lien_3.'">'.$LANG_mess_int_admin_lien_3.'</a>
				<img src="images/lock.png" width="16" height="16" align="top" alt=""'.$slash.'>
			</p>
			
			<p class="admin_paragraphe">
				<img src="images/dd.gif" width="16" height="16" align="top" alt=""'.$slash.'>
					<a href="upload.php?lng_sel='.$lng_sel.'" class="liens" title="'.$LANG_mess_int_admin_lien_9.'">'.$LANG_mess_int_admin_lien_9.'</a>
				<img src="images/dd.gif" width="16" height="16" align="top" alt=""'.$slash.'>
			</p>
			
			<p class="admin_paragraphe">
				<img src="images/add_bl.gif" width="24" height="16" align="top" alt=""'.$slash.'>
				<img src="images/voir.gif" width="16" height="16" align="top" alt=""'.$slash.'>
				<img src="images/supp.gif" width="16" height="16" align="top" alt=""'.$slash.'>
					<a href="ajout_blacklist_flood.php?lng_sel='.$lng_sel.'" class="liens" title="'.$LANG_mess_int_admin_lien_12.'">'.$LANG_mess_int_admin_lien_12.'</a>
				<img src="images/supp.gif" width="16" height="16" align="top" alt=""'.$slash.'>
				<img src="images/voir.gif" width="16" height="16" align="top" alt=""'.$slash.'>
				<img src="images/add_bl.gif" width="24" height="16" align="top" alt=""'.$slash.'>
			</p>
			
			<p class="admin_paragraphe">
				<img src="images/info.gif" width="16" height="16" align="top" alt=""'.$slash.'>
					<a href="'.$uravmaj.'?version='.$vers.'" target="_blank" class="liens" title="'.$LANG_mess_int_admin_lien_7.' '.$version_simple.'.">'.$LANG_mess_int_admin_lien_7.' '.$version_simple.'</a>
				<img src="images/info.gif" width="16" height="16" align="top" alt=""'.$slash.'>
			</p>
			
			<p class="admin_paragraphe">
				<a href="php_info.php?lng_sel='.$lng_sel.'" target="_blank" class="liens" title="PHP info">[ PHP info ]</a>
			</p>
			
			<p class="admin_paragraphe">
				'.$LANG_mess_int_admin_lien_13.'&quot;'.$nom_fichier_des_messages.'&quot; : '.resize_bytes($size).'<br'.$slash.'>
				'.$LANG_int_admin_version.' '.$version.'
			</p>

			<p class="admin_paragraphe">
				<strong>
					<a href="admin_pass.php?logout=1&amp;lng_sel='.$lng_sel.'" class="liens" title="'.$LANG_deconnection.'">'.$LANG_deconnection.'</a>
				</strong>
			</p>
						'."\n";
	fct_cadre_admin_B();
}
else
{
	fct_cadre_admin_H();
	fct_cadre_admin_Class();

		echo '<form method="post" action="admin_pass.php?lng_sel='.$lng_sel.'" name="le_pass">
				'.$LANG_bienvenue_ad_pass_01.'<br'.$slash.'>'.$LANG_bienvenue_ad_pass_02.'<br'.$slash.'>'.$LANG_bienvenue_ad_pass_03.'<br'.$slash.'><br'.$slash.'>'.$LANG_bienvenue_ad_pass_04.'
				<br'.$slash.'><br'.$slash.'>'.$message_erreur.'<br'.$slash.'><br'.$slash.'>'."\n";

		if ($erreur_file_exists == 1)
		{
			echo $LANG_int_admin_fichiers_danger_01.'<br'.$slash.'>'."\n";
			echo $LANG_int_admin_fichiers_danger_02.'<br'.$slash.'><br'.$slash.'>'."\n";
			echo $LANG_int_admin_fichiers_danger_03.' <a href="admin_pass.php?lng_sel='.$lng_sel.'" class="liens" title="'.$LANG_int_admin_fichiers_danger_refresh.'">'.$LANG_int_admin_fichiers_danger_04.'</a><br'.$slash.'><br'.$slash.'>'."\n";
		}
		else
		{
			echo $LANG_bienvenue_ad_pass_05.'<br'.$slash.'>
			<input type="password" name="pass" size="15" maxlength="25" style="margin-top: 2px;"'.$slash.'><br'.$slash.'><br'.$slash.'>
			<input type="hidden" name="poster" value="oui"'.$slash.'>
			<input type="submit" value="'.$LANG_int_admin_btn_entrer.'" class="bouton"'.$slash.'>'."\n";
		}
		echo '</form>'."\n";

	fct_cadre_admin_B();

	echo '<script type="text/javascript">document.le_pass.pass.focus();</script>'."\n";
}
// Si vous souhaitez mettre images et/ou texte qui soit le mme et qui s'affichera entre le bas des interfaces,
// et le copyright sur toutes les pages, alors ditez le fichier "page_bas" du dossier "inc" et ajoutez-le dans
// cette page (Un seul fichier  modifier et votre ajout apparatra partout ;) )

// Incrustation du pied de page
	include 'inc/page_bas.php';
?>

</div>
</body>
</html>