<?php
session_start();
include '../inc/function.php'; // Pour lister_un_dossier()
include '../inc/vars_init_no_exist.php';
$chemin_fichier_01 = '../chmod_perso/mdp.php';
$chemin_fichier_02 = '../chmod_perso/cfg_param_intro.php';
$chemin_fichier_03 = '../chmod_perso/chemin.php';
include $chemin_fichier_01;
include $chemin_fichier_02;
include $chemin_fichier_03;

#----- Initialisation des variables 
$st			= (empty($_GET['st']))			? 5		: $_GET['st'];
$enrg		= (empty($_POST['enrg']))		? 0		: $_POST['enrg'];
$pass		= (empty($_POST['pass']))		? ''	: $_POST['pass'];
$nvpass		= (empty($_POST['nvpass']))		? ''	: $_POST['nvpass'];
$confnvpass	= (empty($_POST['confnvpass']))	? ''	: $_POST['confnvpass'];

$nv_fai						= (empty($_POST['nv_fai']))						? ''	: $_POST['nv_fai'];
$nv_nom_url_accueil_site	= (empty($_POST['nv_nom_url_accueil_site']))	? ''	: $_POST['nv_nom_url_accueil_site'];
$nv_langue_sur_livre		= (empty($_POST['nv_langue_sur_livre']))		? ''	: $_POST['nv_langue_sur_livre'];
$nv_langue_par_defaut		= (empty($_POST['nv_langue_par_defaut']))		? ''	: $_POST['nv_langue_par_defaut'];
$nv_active_SAS				= (empty($_POST['nv_active_SAS']))				? ''	: $_POST['nv_active_SAS'];
$nv_type_de_captcha			= (empty($_POST['nv_type_de_captcha']))			? ''	: $_POST['nv_type_de_captcha'];
$nv_type_codage				= (empty($_POST['nv_type_codage']))				? ''	: $_POST['nv_type_codage'];

$versionPEI = 'v0.4';
#----- Les fonctions
function affiche_sep ()
{
	$html  = '		<p class="sep">'."\n";
	$html .= '			<img src="../images/sep.gif" width="200" height="2" />'."\n";
	$html .= '		</p>'."\n\n";
	echo $html;
}

function affiche_entete ()
{
	$html  = '		<div class="title">'."\n";
	$html .= '			<img src="../images/install.gif" align="middle" />'."\n";
	$html .= '			&nbsp;&nbsp;&nbsp;&nbsp;Installation de A.I-Pifou, Livre d\'or.'."\n";
	$html .= '		</div>'."\n\n";
	echo $html;

	affiche_sep ();
}


/**
 * Vrifie si un fichier est accessible en criture.
 * Tente d'y appliquer automatiquement un chmod0777.
 * 
 * @param string $chemin_du_fichier	Chemin complet du fichier  tester pour ventuellement y appliquer un chmod.
 * @param string $nom_du_fichier	Permet de spcifer quel fichier est en erreur.
 * 
 * Exemple : acces_ecriture('config/donnees/config.php', 'config.php');
 */
function acces_ecriture($chemin_du_fichier, $nom_du_fichier)
{
	if (@!file_exists($chemin_du_fichier)) // Si le fichier n'est pas pr&eacute;sent on le signale
	{
		echo '		<p class="erreur">
			&raquo; &quot;<strong>'.$nom_du_fichier.'</strong>&quot; n\'est pas
			pr&eacute;sent.<br />Vous avez d&ucirc; oublier de le transf&eacute;rer.
		</p>'."\n\n";
	}
	else
	{
		if (@is_writable($chemin_du_fichier)) // Sinon s'il est l, on v&eacute;rifie si on peut crire dedant
		{
			echo '		<p class="noerreur">
			&raquo; &quot;<strong>'.$nom_du_fichier.'</strong>&quot; est accessible
			en &eacute;criture.
		</p>'."\n\n";
		}
		else // Si ce n'est pas le cas, on fait un CHMOD 777 dessus.
		{
		echo '		<p class="erreur">
			&raquo; "<strong>'.$nom_du_fichier.'</strong>" n\'est pas accessible en &eacute;criture,
			appuyez sur le bouton &quot;<strong>Actualiser</strong>&quot; pour tenter d\'effectuer 
			un CHMOD automatiquement sur ce fichier.
		</p>'."\n\n";
			
			@chmod($chemin_du_fichier, 0777);
		}
	}
} 


/**
 * existe_encore
 * 
 * @param mixed $nom_fichier
 * @return void
 */
function existe_encore($nom_fichier)
{
	$mess_plus = '';
	if ($nom_fichier == 'index.php') {$mess_plus = '[Dangereux, &agrave; effacer IMP&Eacute;RATIVEMENT]';}
	
	if (@file_exists($nom_fichier)) // Si le fichier n'est pas prsent on le signale
	{
	echo '		<p class="erreur">
			&raquo; &quot;<strong>'.$nom_fichier.'</strong>&quot; n\'a pas pu
			&ecirc;tre effac&eacute;. '.$mess_plus.'
		</p>'."\n\n";
	//return $erreur_exist = 1;
	}
	else
	{
	echo '		<p class="noerreur">
			- &quot;<strong>'.$nom_fichier.'</strong>&quot; a bien &eacute;t&eacute;
			effac&eacute;.
		</p>'."\n\n";
	}
}


/**
 * 
 * Sert  changer la valeur d'une variable dans un fichier de config.
 * 
 * @param string $nom Nom de la variable  trouver.
 * @param string $new Nouvelle valeur  y mettre.
 * @param string $chemin_du_fichier_de_configuration Nom du fichier o se trouve la variable  modifier qui doit tre ouvert.
 * 
 * Exemple : change('fai', 'Alice', 'config.php');
 * 
 */
// Le problme de la fonction actureelle est qu'elle est limite  crire une string. On doit aussi pouvoir crire un integer.
function change($nom, $new, $chemin_du_fichier_de_configuration)
{
	if(!empty($nom) && !empty($new))
	{
		$list = file($chemin_du_fichier_de_configuration);

		for($i = 1; $i < count($list) - 1 && !empty($list[$i]); $i++)
		{
			$tab = explode(' = ', $list[$i]);
			$tab[0] = str_replace("\$", '', $tab[0]);
			if($nom == $tab[0])
			{
				$tab[1] = " = '$new';\n";
			}
			else
			{
				$tab[1] = " = $tab[1]";
			}
			$list[$i] = "\$$tab[0]$tab[1]";
		}

		$data = '';
		for($i = 1; $i < count($list) - 1 && !empty($list[$i]); $i++)
		{
			$data = $data.$list[$i];
		}

		$fd = fopen($chemin_du_fichier_de_configuration, 'w');
		fwrite($fd, "<?php\n".$data."?".">");
		fclose($fd);
	}
} // Fin fonction
?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<title>A.I-Pifou, Livre d'or : EasyInstall</title>
<style>
body {background-color: #FFFFFF; font-family: Verdana, Arial, Helvetica; font-size: 11px; margin-top: 6px;}
img {border: 0;}
p { padding: 0; margin: 12px 0;}

.titre_st {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #94A8EC; font-weight: bold; }
.tab_gn {
	width		: 75%;
	font-family	: Verdana, Arial, Helvetica, sans-serif;
	color		: #000000;
	font-size	: 12px;
	border		: #000000 2px solid;
	padding		: 0px 10px 10px 10px;
	text-align	: left;
}

.sep {text-align: center;}
.erreur {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #FF0000; /*font-weight: bold;*/}
.noerreur {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #00CE00; /*font-weight: bold;*/}

input {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #000000;}
select {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #000000; font-weight: bold;}

a.liens {color:#FF0000; background-color: none; text-decoration: underline;}
a.liens:hover {color:#767676; background-color: none; text-decoration: underline; position: relative; left: 1px; top: 1px;}

a {color:#FF0000; background-color: none; text-decoration: none;}
</style>
<?php
if ($st == 30)
{
?> 
<script type="text/javascript">
<!--
// Formatage des champs mdp
function valid_mdp(ze_entree)
{
	var ze_touche = ze_entree.which ? ze_entree.which : ze_entree.ze_touche;
	var interdit = '&*?!:;,\t#~"^%$?%*+()[]{}<>|\\/`\'';
	if (interdit.indexOf(String.fromCharCode(ze_touche)) >= 0)
	{
		alert('Ce caractre, n\'est pas valide');
		return false;
	}
}
//-->
</script>
<?php
}
?> 
</head>

<body>
<div align="center">
<?php
if ($st == 5)
{
	echo "\n".'	<div class="tab_gn">'."\n";

	affiche_entete ();

	echo '		<p>
			<span class="titre_st">
				<strong>Installation simplifi&eacute;e de A.I-Pifou, Livre d\'or.</strong>
			</span>
		</p>

		<p>
			<strong>Information :</strong> Il existe sur le
			<a href="http://actif-video.chez-alice.fr/" target="_blank" class="liens" alt="Site officiel">site officiel</a>
			un logiciel (A.I-Pifou, Softwares) permettant de sauvegarder les fichiers
			importants (Messages et r&eacute;ponses) de votre livre d\'or, ainsi que
			vos skins modifi&eacute;s.
		</p>

		<p>Il permet aussi de faire les mises &agrave; jour de fa&ccedil;on automatique.</p>

		<p>Cliquez sur &quot;Suivant&quot;.<p>'."\n\n";

	affiche_sep ();

	echo '		<div align="right">
			<a href="index.php?st=10">
				<img src="bout_suivant.gif" width="100" height="22" alt="Suivant" />
			</a>
		</div>
	</div>'."\n";
}



if ($st == 10)
{
	echo "\n".'	<div class="tab_gn">'."\n";

	affiche_entete ();

	echo '		<p>
			<span class="titre_st">
				<strong>Installation simplifi&eacute;e de A.I-Pifou, Livre d\'or.</strong>
			</span>
		</p>

		<p>
			Avant d\'aller plus loin, il faut v&eacute;rifier que tous les fichiers
			constituants A.I-Pifou, Livre d\'or ont bien &eacute;t&eacute; envoy&eacute;s
			sur le serveur.<br />
			Cliquez sur le lien ci-dessous.
		</p>

		<p align="center">
			<a href="../verification_fichiers.php" class="liens" target="_blank" title="">
				<b>V&eacute;rification &agrave; faire</b>
			</a>
		</p>

		<p>'."\n";
		echo '			&raquo; Votre version PHP est : <strong>'.phpversion().'</strong>
		</p>

		<p>
			Cliquez sur &quot;Suivant&quot;.
		</p>'."\n\n";

	affiche_sep ();

	echo '		<div align="right">
			<a href="index.php?st=5">
				<img src="bout_precedent.gif" width="100" height="22" alt="Pr&eacute;c&eacute;dent" />
			</a>
			<a href="index.php?st=20">
				<img src="bout_suivant.gif" width="100" height="22" alt="Suivant" />
			</a>
		</div>
	</div>'."\n";
}


if ($st == 20)
{
	echo "\n".'	<div class="tab_gn">'."\n";

	affiche_entete ();

	echo '		<p>
			<span class="titre_st">
				<strong>V&eacute;rifications...</strong>
			</span>
		</p>

		<p>
			V&eacute;rifications ici, pour savoir si les fichiers sur lesquels A.I-Pifou
			va &eacute;crire, sont bien pr&eacute;sents et si c\'est le cas, pour savoir
			s\'ils peuvent &ecirc;tre modifi&eacute;s.<br />
			Si tout est vert, alors c\'est que tout est bon, sinon faites ce qui
			est demand&eacute;.
		</p>'."\n\n";

	acces_ecriture('../chmod_perso/cfg_choix_skin.php', 'cfg_choix_skin.php');
	acces_ecriture('../chmod_perso/cfg_param_intro.php', 'cfg_param_intro.php');
	acces_ecriture('../chmod_perso/chemin.php', 'chemin.php');
	acces_ecriture('../chmod_perso/code_ecrit.php', 'code_ecrit.php');
	acces_ecriture('../chmod_perso/dico_flood.php', 'dico_flood.php');
	acces_ecriture('../chmod_perso/'.$nom_fichier_des_messages, $nom_fichier_des_messages);
	acces_ecriture('../chmod_perso/'.$nom_fichier_des_messages_diff, $nom_fichier_des_messages_diff);
	acces_ecriture('../chmod_perso/mdp.php', 'mdp.php');
	acces_ecriture('../chmod_perso/messages_accueil.php', 'messages_accueil.php');
	acces_ecriture('../chmod_perso/scroll_pifou.css', 'scroll_pifou.css');

	acces_ecriture('../skins/mon_skin/cfg_variables.php', 'mon_skin/cfg_variables.php');
	acces_ecriture('../skins/skin_blanc_officiel/cfg_variables.php', 'skin_blanc_officiel/cfg_variables.php');

	echo '		<p>
			Cliquez sur &quot;Suivant&quot;.
		</p>'."\n\n";

	affiche_sep ();

	echo '		<div align="right">
			<a href="index.php?st=10">
				<img src="bout_precedent.gif" width="100" height="22" alt="Pr&eacute;c&eacute;dent" />
			</a>
			<a href="index.php?st=20">
				<img src="../images/bout_actualiser.gif" width="100" height="22" alt="Actualiser" />
			</a>
			<a href="index.php?st=30">
				<img src="bout_suivant.gif" width="100" height="22" alt="Suivant" />
			</a>
		</div>
	</div>'."\n";
}


if ($st == 30)
{
	$ze_mess = '&nbsp;';
	$truc = '';
	$classe = 'no';

	if ($enrg == 1)
	{
		if (is_writable($chemin_fichier_01))
		{
			$nvpass = trim($nvpass);
			$confnvpass = trim($confnvpass);
			
			// Si le mot de passe est bon alors on enregistre les nouvelles donnes et on affiche mdp OK
			if (sha1($pass) == $password_SHA1 and sha1($nvpass) != '0b9c2625dc21ef05f6ad4ddf47c5f203837aa32c' and sha1($confnvpass) != '0b9c2625dc21ef05f6ad4ddf47c5f203837aa32c' and !empty($nvpass) and !empty($confnvpass) and sha1($nvpass) == sha1($confnvpass))
			{
				$confnvpass = htmlspecialchars($confnvpass);
				$nvpass = htmlspecialchars($nvpass);
				
				if(preg_match('#^[a-zA-Z0-9][a-zA-Z0-9_. -]*$#', $nvpass))
				{
					//Nouveau fichier a enregistrer
					$fichier = fopen($chemin_fichier_01, 'w+');
					
					// On crit dans le fichier
					$txt  = '<?php'."\n";
					$txt .= '$password_SHA1 = \''.sha1($nvpass).'\';'."\n";
					$txt .= '?>';
					
					// On ecrit le nouveau mot de passe
					fwrite($fichier, $txt);
					// On referme
					fclose($fichier);
					#-----
					$ze_mess = '<strong>Mot de passe modifi&eacute; avec succ&egrave;s.</strong>';
					$classe = 'noerreur';
					$truc = '1';
					
					// Si tout est bon alors on enregistre la variable de session.
					$_SESSION['sessionOK'] = 'ze_pifou_admin';
					$_SESSION['ip_admin']  = $_SERVER['REMOTE_ADDR'];
				}
				else
				{
					$ze_mess = '<strong>La modification du mot de passe a &eacute;chou&eacute;e, parce que vous avez utilis&eacute; des caract&egrave;res interdits.</strong>';
					$classe = 'erreur';
				}
			} // FIN de if ($pass == $password_bis and $nvpass != 'toto' and $confnvpass != 'toto' and ...
			else
			{
				$ze_mess = '<strong>La modification du mot de passe a &eacute;chou&eacute;e, parce que la confirmation, ou l\'ancien mot de passe, n\'est pas bon.</strong>';
				$classe = 'erreur';
			}
		} // Fin if (is_writable($chemin_fichier_01))
		else
		{
			$ze_mess = '<strong>La modification du mot de passe a &eacute;chou&eacute;e, parce que le fichier &quot;mdp.php&quot; est inaccessible en &eacute;criture.</strong>';
			$classe = 'erreur';
		}
	#---------------
	} // Fin de if ($enrg == 1) {


	echo "\n".'	<div class="tab_gn">'."\n";

	affiche_entete ();

	echo '		<form method="post" action="?st=30" name="formulaire" style="margin:0px;">
			<input type="hidden" name="enrg" value="1" />

			<p class="titre_st">
				Changement du mot de passe.
			</p>

			<p>
				Pour acc&eacute;der &agrave; votre admin, vous devrez entrer un mot de passe.<br />
				Vous devez donc ici, modifier absolument celui par d&eacute;faut.
			</p>

			<p>
				Pour changer le mot de passe, vous devez entrer le mot de passe actuel.<br />
				Ensuite, entrez votre nouveau mot de passe, dans les deux champs suivants.
			</p>

			<p>
				Vous pourrez toujours modifier votre mot de passe par la suite.
			</p>

			<p>&nbsp;</p>

			<p>
				Il ne doit pas  exc&eacute;der 25 caractres, et ne doit pas comporter de
				caract&egrave;res sp&eacute;ciaux, mais uniquement des chiffres, des lettres
				(Majuscule et minuscule), l\'underscore, le point, le tiret ou l\'espace.<br />
				[<strong>a</strong> &agrave; <strong>z</strong>, <strong>A</strong> &agrave; <strong>Z</strong>,
				<strong>0</strong> &agrave; <strong>9</strong>, &nbsp;<strong>_</strong> <strong>.</strong>
				<strong>-</strong>]
			</p>

			<p class="erreur">
				Les caract&egrave;res accentu&eacute;s ne sont pas autoris&eacute;s.
			</p>

			<p>&nbsp;</p>
			<p>&nbsp;</p>

			<p class="'.$classe.'">
				'.$ze_mess.'
			</p>'."\n\n";


	if ($truc != '1')
	{
		// 
		echo '			<!-- Champ mot de passe actuel -->
			<p>
				Mot de passe actuel (D&eacute;faut : toto).<br />
				<input type="password" name="pass" size="25" maxLength="25" value="toto" onkeypress="return valid_mdp(event);" />
			</p>

			<!-- Champ nouveau mot de passe -->
			<p>
				Nouveau mot de passe (25 caractres maximum).<br />
				<input type="password" name="nvpass" size="25" maxLength="25" onkeypress="return valid_mdp(event);" />
			</p>

			<!-- Champ confirmation du nouveau mot de passe -->
			<p>
				Confirmation du nouveau mot de passe.<br />
				<input type="password" name="confnvpass" size="25" maxLength="25" onkeypress="return valid_mdp(event);" />
			</p>

			<p>
				Cliquez sur &quot;Valider&quot;
			</p>'."\n\n";
	}
	else
	{
		echo '			<p>
				Cliquez sur &quot;Suivant&quot;
			</p>'."\n\n";
	}

		affiche_sep ();

	if ($truc != '1') // On affiche le bouton Valider
	{
		echo '			<div align="right">
				<a href="index.php?st=20">
					<img src="bout_precedent.gif" width="100" height="22" alt="Pr&eacute;c&eacute;dent" />
				</a>
				<input type="image" name="submit" src="bout_valider.gif" width="100" height="22" alt="Valider" />
			</div>'."\n\n";
	}
	else // sinon on affiche le bouton Suivant
	{
		echo '			<div align="right">
				<a href="index.php?st=35">
					<img src="bout_suivant.gif" width="100" height="22" alt="Suivant" />
				</a>
			</div>'."\n\n";
	}

	echo '		</form>
		<script type="text/javascript">document.formulaire.nvpass.focus();</script>
</div>'."\n";
}


if ($st == 35)
{
	if (isset($_SESSION['sessionOK']) and $_SESSION['sessionOK'] == 'ze_pifou_admin' and isset($_SESSION['ip_admin']) and ($_SESSION['ip_admin'] == $_SERVER['REMOTE_ADDR']))
	{
		echo "\n".'	<div class="tab_gn">'."\n";

		affiche_entete ();

		echo '		<p class="titre_st">
			Modification automatique de certains fichiers.
		</p>'."\n\n";

		if (is_writable($chemin_fichier_03) and is_writable('../chmod_perso/'.$nom_fichier_des_messages) and is_writable('../chmod_perso/'.$nom_fichier_des_messages_diff))
		{
			$grain_de_sel = substr(md5(mt_rand()), 0, 6);

			$ancien_nom_livre = $nom_fichier_des_messages;
			$ancien_nom_livre_diff = $nom_fichier_des_messages_diff;

			$nouveau_nom_livre = 'livre_'.$grain_de_sel.'.txt';
			$nouveau_nom_livre_diff = 'livre_diff_'.$grain_de_sel.'.txt';
			//Nouvelle valeur ds fichier a enregistrer
			rename('../chmod_perso/'.$nom_fichier_des_messages, '../chmod_perso/'.$nouveau_nom_livre);
			rename('../chmod_perso/'.$nom_fichier_des_messages_diff, '../chmod_perso/'.$nouveau_nom_livre_diff);

			change('nom_fichier_des_messages', $nouveau_nom_livre, $chemin_fichier_03);
			change('nom_fichier_des_messages_diff', $nouveau_nom_livre_diff, $chemin_fichier_03);

			echo '		<p>
			Deux fichiers ont &eacute;t&eacute; renomm&eacute;s pour plus de s&eacute;curit&eacute;.<br />
			Ceux-ci ne doivent pas pouvoir &ecirc;tre list&eacute;s par n\'importe qui.
		</p>

		<p>
			- Le fichier &quot;<strong>'.$ancien_nom_livre.'</strong>&quot;
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;devient
			&quot;<strong>'.$nouveau_nom_livre.'</strong>&quot;.<br />
			- Le fichier &quot;<strong>'.$ancien_nom_livre_diff.'</strong>&quot;
			devient &quot;<strong>'.$nouveau_nom_livre_diff.'</strong>&quot;.
		</p>'."\n\n";
			$afficher_bouton_actualiser = 0;
		}
		else
		{
		echo '		<p>
			Deux fichiers qui devaient &ecirc;tre renomm&eacute;s,
			n\'ont pas pu l\'&ecirc;tre.<br />
			Ceux-ci ne doivent pas pouvoir &ecirc;tre list&eacute;s par n\'importe qui.
		</p>

		<p>
			Certainement que l\'un d\'entre eux est inaccessible en &eacute;criture.<br />
			Tentez d\'appliquer un CHMOD sur le/les fichiers concern&eacute;s et cliquez sur &quot;Actualiser&quot;
		</p>

		<p>
			Si les fichiers ne voulaient vraiment pas &ecirc;tre renomm&eacute;s, ceci
			n\'emp&ecirc;cherait tout de m&ecirc;me pas le livre d\'or de fonctionner
			correctement.
		</p>'."\n\n";

			acces_ecriture($chemin_fichier_03, 'chemin.php');
			acces_ecriture('../chmod_perso/'.$nom_fichier_des_messages, $nom_fichier_des_messages);
			acces_ecriture('../chmod_perso/'.$nom_fichier_des_messages_diff, $nom_fichier_des_messages_diff);

			$afficher_bouton_actualiser = 1;
		}

		echo '		<p>
			Cliquez sur &quot;Suivant&quot;
		</p>'."\n\n";

		affiche_sep ();

		echo '		<div align="right">'."\n";

		if ($afficher_bouton_actualiser == 1)
		{
		echo '		<a href="index.php?st=35">
				<img src="../images/bout_actualiser.gif" width="100" height="22" alt="Actualiser" />
			</a>'."\n";
		}

		echo '			<a href="index.php?st=40">
				<img src="bout_suivant.gif" width="100" height="22" alt="Suivant" />
			</a>
		</div>
	</div>'."\n";
	}
	else
	{
		echo 'Vous n\'&ecirc;tes pas loggu&eacute;, vous ne pouvez donc pas poursuivre cette installation.'."\n";
	}
}


if ($st == 40)
{
	if (isset($_SESSION['sessionOK']) and $_SESSION['sessionOK'] == 'ze_pifou_admin' and isset($_SESSION['ip_admin']) and ($_SESSION['ip_admin'] == $_SERVER['REMOTE_ADDR']))
	{ 
		echo "\n".'	<div class="tab_gn">'."\n";

		affiche_entete ();

		echo '		<p class="titre_st">
			R&eacute;glages...
		</p>

		<p>
			Vous allez maintenant proc&eacute;der &agrave; certains
			r&eacute;glages pour finir l\'installation de votre livre d\'or.
		</p>

		<p>
			Vous pourrez toujours modifier ceux-ci par la suite en
			vous rendant sur l\'interface de param&eacute;trage, dans
			l\'administration de votre livre d\'or.
		</p>'."\n\n";

		affiche_sep ();

		echo '		<div align="right">
			<a href="index.php?st=50">
				<img src="bout_suivant.gif" width="100" height="22" alt="Suivant" />
			</a>
		</div>
	</div>'."\n";
	}
	else
	{
		echo '	Vous n\'&ecirc;tes pas loggu&eacute;, vous ne pouvez donc pas poursuivre cette installation.'."\n";
	}
}


if ($st == 50)
{
	if (isset($_SESSION['sessionOK']) and $_SESSION['sessionOK'] == 'ze_pifou_admin' and isset($_SESSION['ip_admin']) and ($_SESSION['ip_admin'] == $_SERVER['REMOTE_ADDR']))
	{
		$ze_mess = '&nbsp;';
		$classe = 'erreur';
		if ($enrg == 1)
		{
			//Nouvelle valeur ds fichier a enregistrer
			change('fai', $nv_fai, $chemin_fichier_02);

			#-----
			$ze_mess = '<strong>Veuillez patienter...</strong>';
			$classe = 'erreur';
			echo '<meta http-equiv="refresh" content="0; url=index.php?st=50">';
		} // Fin de if ($enrg == 1) {

		echo "\n".'	<div class="tab_gn">'."\n";

		affiche_entete ();

		echo '		<p class="titre_st">
			H&eacute;bergeur o se trouve A.I-Pifou, Livre d\'or.
		</p>

		<p>
			Choisissez l\'h&eacute;bergeur o&ugrave; est install&eacute;
			votre livre d\'or.
		</p>

		<p>
			Si le nom de l\'h&eacute;bergeur o&ugrave; est install&eacute; A.I-Pifou, Livre d\'or apparait dans le menu-d&eacute;roulant,
			s&eacute;lectionnez-le, sinon choisissez &quot;Autre&quot;.
		</p>

		<p>
			Cela pour diff&eacute;rentes raisons :<br />
			&nbsp; - La fonction mail() est l&eacute;g&egrave;rement diff&eacute;rente d\'un FAI par rapport &agrave; un autre.<br />
			&nbsp; - Certaines fonctions sont l&eacute;g&egrave;rements diff&eacute;rentes chez Chez.com, &agrave; cause de leur frame de Pub.<br /><br />
		</p>'."\n\n";

		echo '		<form method="post" action="?st=50" name="monform" style="margin:0px;">'."\n";
		echo '			<input type="hidden" name="enrg" value="1" />'."\n";

		echo '			<select name="nv_fai" size="1" class="ch_sk_input">
				<option value="Autres"'; if ($fai == 'Autres') {echo ' selected="selected"';} echo '>Autre</option>
				<option value="Amen"'; if ($fai == 'Amen') {echo ' selected="selected"';} echo '>Amen</option>
				<option value="Chezcom"'; if ($fai == 'Chezcom') {echo ' selected="selected"';} echo '>Chez.com</option>
				<option value="Tiscali"'; if ($fai == 'Tiscali') {echo ' selected="selected"';} echo '>Alice</option>
			</select>

		<p class="'.$classe.'">
			'.$ze_mess.'
		</p>'."\n\n";

		affiche_sep ();

		echo '		<div align="right">
			<a href="index.php?st=40">
				<img src="bout_precedent.gif" width="100" height="22" alt="Pr&eacute;c&eacute;dent" />
			</a>
			<input type="Image" src="bout_valider.gif" width="100" height="22" alt="Valider" name="submit" />
			<a href="index.php?st=60">
				<img src="bout_suivant.gif" width="100" height="22" alt="Suivant" />
			</a>
		</div>
		</form>
	</div>'."\n";
	}
	else
	{
		echo '	Vous n\'&ecirc;tes pas loggu&eacute;, vous ne pouvez donc pas poursuivre cette installation.'."\n";
	}
}


if ($st == 60)
{
	if (isset($_SESSION['sessionOK']) and $_SESSION['sessionOK'] == 'ze_pifou_admin' and isset($_SESSION['ip_admin']) and ($_SESSION['ip_admin'] == $_SERVER['REMOTE_ADDR']))
	{
		$ze_mess = '';
		$classe = '';

		if ($enrg == 1)
		{
			//Nouvelle valeur ds fichier a enregistrer
			change('nom_url_accueil_site', $nv_nom_url_accueil_site, $chemin_fichier_02);

			$ze_mess = '<strong>Veuillez patienter...</strong>';
			$classe  = 'erreur';
			echo '<meta http-equiv="refresh" content="0; url=index.php?st=60">';
		} // Fin de if ($enrg == 1) {

		#-----
	 	echo "\n".'	<div class="tab_gn">'."\n";

		affiche_entete ();

		echo '		<p class="titre_st">
				Page d\'accueil de votre site.
			</p>

			<p>
				Entrez le chemin vers la page d\'accueil de votre site :
			</p>

			<p>
				-Entrez dans le champ ci-dessous, l\'adresse compl&egrave;te de la page
				d\'accueil de votre site.<br />
				-Lorsque que vous cliquerez dans le menu d\'ent&ecirc;te du livre d\'or,
				sur &quot;<strong>Retour &agrave; l\'accueil</strong>&quot;,
				ceci permettra de revenir sur votre page d\'accueil.
			</p>

			<p>
				Ex : <span class="noerreur">http://actif-video.chez-alice.fr/</span><br />
				<strong>Astuce</strong> : Si votre livre est h&eacute;berg&eacute; au m&ecirc;me
				endroit que votre site, faites un copier-coller de l\'url se
				trouvant dans la barre d\'adresse de votre navigateur.
			</p>

			<form method="post" action="?st=60" style="margin:0px;">
				<input type="hidden" name="enrg" value="1" />
				<input type="text" name="nv_nom_url_accueil_site" size="60" maxlength="120" value="'.$nom_url_accueil_site.'" />

				<p class="'.$classe.'">
					&nbsp;'.$ze_mess.'
				</p>'."\n\n";

			affiche_sep ();

			echo '			<div align="right">
					<a href="index.php?st=50">
						<img src="bout_precedent.gif" width="100" height="22" alt="Pr&eacute;c&eacute;dent" />
					</a>
					<input type="image" src="bout_valider.gif" width="100" height="22" alt="Valider" name="submit" />
					<a href="index.php?st=70">
						<img src="bout_suivant.gif" width="100" height="22" alt="Suivant" />
					</a>
				</div>
			</form>
		</div>'."\n";
	}
	else
	{
		echo '	Vous n\'&ecirc;tes pas loggu&eacute;, vous ne pouvez donc pas poursuivre cette installation.'."\n";
	}
}


if ($st == 70)
{
	if (isset($_SESSION['sessionOK']) and $_SESSION['sessionOK'] == 'ze_pifou_admin' and isset($_SESSION['ip_admin']) and ($_SESSION['ip_admin'] == $_SERVER['REMOTE_ADDR']))
	{
		$ze_mess = '';
		$classe = '';

		if ($enrg == 1)
		{
			##### Menu selection Multiple DEBUT

			// Sert  concatner les langues utilises avec le sparateur |.
			$boucle = 0;
			$langue_sur_livre_final = '';
			//foreach($_POST['nv_langue_sur_livre'] as $itemListe)
			foreach($nv_langue_sur_livre as $itemListe)
			{
				if ($boucle != (count($nv_langue_sur_livre) - 1)) {$separator = '|';} else {$separator = '';}
				$langue_sur_livre_final .= $itemListe.$separator;
				$boucle++;
			}
			
			change('langue_sur_livre', $langue_sur_livre_final, $chemin_fichier_02);
			
			##### Menu selection Multiple FIN

			##### Menu selection langue par dfaut DEBUT
			$les_lng_affichees = explode('|', $langue_sur_livre_final);

			if (in_array ($nv_langue_par_defaut, $les_lng_affichees)) // Si le dossier ds l'URL n'existe pas, on Reinitialise $doss  zero. (Remplace le fichier dossier_ok.php)
			{
				$nv_langue_par_defaut = $nv_langue_par_defaut;
			}
			else
			{
				$nv_langue_par_defaut = $les_lng_affichees[0];
			}

			change('langue_par_defaut', $nv_langue_par_defaut, $chemin_fichier_02);

			##### Menu selection langue par dfaut FIN

			$ze_mess = '<strong>Veuillez patienter...</strong>';
			$classe = 'erreur';
			echo '<meta http-equiv="refresh" content="0; url=index.php?st=70">';
		}


		echo "\n".'	<div class="tab_gn">'."\n";

		affiche_entete ();

		echo '		<p class="titre_st">
			Langues du livre d\'or.
		</p>

		<p>
			Choisissez, la ou les langues des interfaces du livre d\'or :
		</p>

		<p>
			- En s&eacute;lectionnant une ou plusieurs langues, les drapeaux de
			celles-ci appara&icirc;tront sur le livre d\'or.
		</p>

		<p>
			- Pour s&eacute;lectionner plusieurs langues, appuyez sur
			&quot;CTRL + clic gauche&quot;.
		</p>


		<form method="post" action="?st=70" style="margin:0px;">
			<input type="hidden" name="enrg" value="1" />'."\n";

		##### Menu selection Multiple DEBUT

		// Recup des champs selected
		$langues_affichees = explode('|', $langue_sur_livre);

		$les_langues = array();
		$les_langues = lister_un_dossier($les_langues, '../langues/');

		for ($i = 0; $i < count($les_langues); $i++)
		{
			include '../langues/'.$les_langues[$i].'/langue.cfg';
			$tableau_des_langues[$i][] = $les_langues[$i];
			$tableau_des_langues[$i][] = $lng_nom;
		}


		echo '			<select name="nv_langue_sur_livre[]" size="8" multiple>'."\n";
		foreach ($tableau_des_langues as $elements)
		{
			echo '				<option value="'.$elements[0].'"'; if (in_array($elements[0], $langues_affichees)) {echo ' selected="selected"';} echo '>'.$elements[1].'</option>'."\n";
		}
		echo '			</select>'."\n";

		##### Menu selection Multiple FIN

		echo '		<p>&nbsp;</p>'."\n";

		##### Menu droulant DEBUT
		echo '		Choisir la langue par d&eacute;faut lorsqu\'un visiteur arrive
		sur le livre d\'or. Celle-ci doit faire partie des langues
		s&eacute;lectionn&eacute;es ci-dessus.<br />'."\n\n";

		echo '			<select name="nv_langue_par_defaut" size="1">'."\n";
		foreach ($tableau_des_langues as $elements)
		{
			echo '				<option value="'.$elements[0].'"'; if ($langue_par_defaut == $elements[0]) {echo ' selected="selected"';} echo '>'.$elements[1].'</option>'."\n";
		}
		echo '			</select>'."\n\n";
		##### Menu droulant FIN

		echo '			<p class="'.$classe.'">
				&nbsp;'.$ze_mess.'
			</p>'."\n\n";

		affiche_sep ();

		echo '			<div align="right">
				<a href="index.php?st=60">
					<img src="bout_precedent.gif" width="100" height="22" alt="Pr&eacute;c&eacute;dent" />
				</a>
				<input type="image" src="bout_valider.gif" width="100" height="22" alt="Valider" name="submit" />
				<a href="index.php?st=80">
					<img src="bout_suivant.gif" width="100" height="22" alt="Suivant" />
				</a>
			</div>
		</form>
	</div>'."\n";
	}
	else
	{
		echo '	Vous n\'&ecirc;tes pas loggu&eacute;, vous ne pouvez donc pas poursuivre cette installation.'."\n";
	}
} // FIN de 70


if ($st == 80)
{
	if (isset($_SESSION['sessionOK']) and $_SESSION['sessionOK'] == 'ze_pifou_admin' and isset($_SESSION['ip_admin']) and ($_SESSION['ip_admin'] == $_SERVER['REMOTE_ADDR']))
	{
		$ze_mess = '';

		if ($enrg == 1)
		{
			//Nouvelle valeur ds fichier a enregistrer
			change('active_SAS', $nv_active_SAS, $chemin_fichier_02);
			change('type_de_captcha', $nv_type_de_captcha, $chemin_fichier_02);
			change('type_codage', $nv_type_codage, $chemin_fichier_02);

			#-----
			$ze_mess = '<strong>Veuillez patienter...</strong>';
			echo '<meta http-equiv="refresh" content="0; url=index.php?st=80">';
		}

		echo "\n".'	<div class="tab_gn">'."\n";

		affiche_entete ();

		echo '		<p class="titre_st">
			Anti-Spams.
		</p>

		<p>
			- Activez ou d&eacute;sactivez le syst&egrave;me Anti-Spams.
		</p>

		<p>
			Il est pr&eacute;f&eacute;rable de le laisser activ&eacute;, sinon
			&agrave; un moment ou &agrave; un autre, vous commencerez &agrave;
			&ecirc;tre pollu&eacute;.
		</p>

		<p>
			Il s\'agit d\'un code qui s\'affichera soit en texte soit sur une image.<br />
			Ce code sera compos&eacute; de lettres, de chiffres ou de chiffres
			et lettres.<br />

			Vous pourrez modifier cela dans votre interface de param&eacute;trage 
			par la suite.
		</p>

		<form method="post" action="?st=80" style="margin:0px;">
			<input type="hidden" name="enrg" value="1" />'."\n";

		// Les variables
		echo '			<strong>Statut : </strong>'."\n";
		echo '			<select name="nv_active_SAS" size="1" class="ch_sk_input">
				<option value="Activer"';    if ($active_SAS == 'Activer')    {echo ' selected="selected"';} echo '>Activ&eacute;</option>
				<option value="Desactiver"'; if ($active_SAS == 'Desactiver') {echo ' selected="selected"';} echo '>D&eacute;sactiv&eacute;</option>
			</select>

			<p>&nbsp;</p>

			<p>
				- Choisissez le type de captcha que vous souhaitez mettre.
			</p>

			<p>
				Le captcha texte est utile pour les personnes dont la librairie graphique
				php GD n\'est pas activ&eacute;e sur leur serveur.<br />
				Le captcha image est plus performant et il est recommand&eacute; de
				l\'utiliser.
			</p>

			<p>
				Par d&eacute;faut c\'est le captcha texte qui est mis.
			</p>

			<p>
				Ne mettez le captcha image que si la librairie &quot;GD&quot; est active.<br />'."\n";

		if (preg_match('`Version`', is_librairie_active('gd')))
		{
			echo '				&nbsp;<span class="noerreur">'.is_librairie_active('gd').'</span>'."\n";
		}
		else
		{
			echo '				&nbsp;<span class="erreur">'.is_librairie_active('gd').'</span>'."\n"; 
		}

		echo '			</p>'."\n\n";

		//$type_de_captcha
		echo '			<select name="nv_type_de_captcha" size="1" class="ch_sk_input">
				<option value="texte"'; if ($type_de_captcha == 'texte') {echo ' selected="selected"';} echo '>Syst&egrave;me Anti-Spams Texte</option>
				<option value="image"'; if ($type_de_captcha == 'image') {echo ' selected="selected"';} echo '>Syst&egrave;me Anti-Spams Image</option>
			</select>  

			<p>&nbsp;</p>

			<p>
				- G&eacute;n&eacute;rer un code avec uniquement des chiffres
				ou bien un m&eacute;lange de chiffres et de lettres.<br />
				Ne fonctionne qu\'avec le captcha image.<br />
				Le captcha texte ne contient que des lettres.
			</p>'."\n\n";


		echo '			<select name="nv_type_codage" size="1" class="ch_sk_input">
				<option value="chiffres_seuls"';		if ($type_codage == 'chiffres_seuls')		{echo ' selected="selected"';}	echo '>Uniquement des chiffres</option>
				<option value="chiffres_et_lettres"';	if ($type_codage == 'chiffres_et_lettres')	{echo ' selected="selected"';}	echo '>Chiffres et lettres</option>
			</select>

			<p class="erreur">
				&nbsp;'.$ze_mess.'
			</p>'."\n\n";

		affiche_sep ();

		echo '			<div align="right">
				<a href="index.php?st=70">
					<img src="bout_precedent.gif" width="100" height="22" alt="Pr&eacute;c&eacute;dent" />
				</a>
				<input type="image" src="bout_valider.gif" width="100" height="22" alt="Valider" name="submit" />
				<a href="index.php?st=90">
					<img src="bout_suivant.gif" width="100" height="22" alt="Suivant" />
				</a>
			</div>
		</form>
	</div>'."\n";
	}
	else
	{
		echo '	Vous n\'&ecirc;tes pas loggu&eacute;, vous ne pouvez donc pas poursuivre cette installation.'."\n";
	}
}


if ($st == 90)
{
	if (isset($_SESSION['sessionOK']) and $_SESSION['sessionOK'] == 'ze_pifou_admin' and isset($_SESSION['ip_admin']) and ($_SESSION['ip_admin'] == $_SERVER['REMOTE_ADDR']))
	{
		echo "\n".'	<div class="tab_gn">'."\n";

		affiche_entete ();

		echo '		<p class="titre_st">
			R&eacute;capitulatif...
		</p>

		<p>
			Voici le r&eacute;sultat de votre param&eacute;trage.
		</p>'."\n\n";

		/*
		0/ Fenetre affichant les reglage  venir en disant que se sera modifiable par la suite
		1/ Choisir son FAI
		2/ Entrez le chemin (l'URL) vers la page d'accueil de votre site.
		3/ Choisissez la langue des interfaces du livre d'or.
		4/ Activez ou d&eacute;sactivez le systme Anti-Spams (Evite le spam automatique des robots).
		5/ Rcapitulatif
		*/
		$fai = str_replace('Autres', 'Autre', $fai);
		$fai = str_replace('Tiscali', 'Alice', $fai);

		$les_langues_affichees = explode('|', $langue_sur_livre);

		$result_lng = '';

		foreach ($les_langues_affichees as $valeur)
		{
			$valeur = str_replace('lg01_fr', 'Fran&ccedil;ais ', $valeur);
			$valeur = str_replace('lg02_en', 'Anglais ', $valeur);
			$valeur = str_replace('lg03_es', 'Espagnol ', $valeur);
			$valeur = str_replace('lg04_it', 'Italien ', $valeur);
			$valeur = str_replace('lg05_de', 'Allemand ', $valeur);
			$valeur = str_replace('lg06_po', 'Portugais ', $valeur);
			$valeur = str_replace('lg07_nl', 'N&eacute;erlandais ', $valeur);

			$result_lng .= $valeur;
		}

		count($les_langues_affichees) > 1 ? $langue_sing_plur = 'Langues' : $langue_sing_plur = 'Langue';

		if ($active_SAS == 'Activer') {$active_SAS  = str_replace('Activer', 'Activ&eacute;', $active_SAS);}
		else {$active_SAS  = str_replace('Desactiver', 'D&eacute;sactiv&eacute;', $active_SAS);}

		echo '		<p>
			<a href="index.php?st=50">
				<img src="bout_modifier.gif" width="100" height="22" alt="Modifier" />
			</a>
			Votre h&eacute;bergeur : <span class="noerreur">'.$fai.'</span><br />

			<a href="index.php?st=60">
				<img src="bout_modifier.gif" width="100" height="22" alt="Modifier" />
			</a>
			URL de votre page d\'accueil : <span class="noerreur">'.$nom_url_accueil_site.'</span><br />

			<a href="index.php?st=70">
				<img src="bout_modifier.gif" width="100" height="22" alt="Modifier" />
			</a>
			'.$langue_sing_plur.' de votre livre d\'or : <span class="noerreur">'.$result_lng.'</span><br />

			<a href="index.php?st=80">
				<img src="bout_modifier.gif" width="100" height="22" alt="Modifier" />
			</a>
			Syst&egrave;me Anti-Spams : <span class="noerreur">'.$active_SAS.'</span>
		</p>'."\n\n";

		affiche_sep ();

		echo '		<div align="right">
			<a href="index.php?st=80">
				<img src="bout_precedent.gif" width="100" height="22" alt="Pr&eacute;c&eacute;dent" />
			</a>
			<a href="index.php?st=200">
				<img src="bout_suivant.gif" width="100" height="22" alt="Suivant" />
			</a>
		</div>
	</div>'."\n";
	}
	else
	{
		echo '	Vous n\'&ecirc;tes pas loggu&eacute;, vous ne pouvez donc pas poursuivre cette installation.'."\n";
	}
}


if ($st == 200)
{
	if (isset($_SESSION['sessionOK']) and $_SESSION['sessionOK'] == 'ze_pifou_admin' and isset($_SESSION['ip_admin']) and ($_SESSION['ip_admin'] == $_SERVER['REMOTE_ADDR']))
	{
		echo "\n".'	<div class="tab_gn">'."\n";

		affiche_entete ();

		echo '		<p class="titre_st">
				Effacement des fichiers.
		</p>

		<p>
			Vous allez maintenant effacer tous les fichiers qui ont
			&eacute;t&eacute; utilis&eacute;s durant cette installation.
		</p>

		<p>
			Cliquez sur &quot;Suivant&quot;
		</p>'."\n\n";

		affiche_sep ();

		echo '		<div align="right">
			<a href="index.php?st=90">
				<img src="bout_precedent.gif" width="100" height="22" alt="Pr&eacute;c&eacute;dent" />
			</a>
			<a href="index.php?st=210">
				<img src="bout_suivant.gif" width="100" height="22" alt="Suivant" />
			</a>
		</div>
	</div>'."\n";
	}
	else
	{
		echo '	Vous n\'&ecirc;tes pas loggu&eacute;, vous ne pouvez donc pas poursuivre cette installation.'."\n";
	}
}


if ($st == 210)
{
	if (isset($_SESSION['sessionOK']) and $_SESSION['sessionOK'] == 'ze_pifou_admin' and isset($_SESSION['ip_admin']) and ($_SESSION['ip_admin'] == $_SERVER['REMOTE_ADDR']))
	{
		//*
		@unlink ('bout_modifier.gif');
		@unlink ('bout_precedent.gif');
		@unlink ('bout_suivant.gif');
		@unlink ('bout_valider.gif');
		@unlink ('index.php');
		@unlink ('Thumbs.db');
		@rmdir('../install');
		//*/

		echo "\n".'	<div class="tab_gn">'."\n";

		affiche_entete ();

		echo '		<p class="titre_st">
			Effacement des fichiers.
		</p>

		<p class="erreur">&nbsp;</p>'."\n\n";

		existe_encore('bout_modifier.gif');
		existe_encore('bout_precedent.gif');
		existe_encore('bout_suivant.gif');
		existe_encore('bout_valider.gif');
		existe_encore('index.php');

		echo '		<p>&nbsp;</p>'."\n\n";

		if (@file_exists('index.php'))
		{
		echo '		<p class="erreur">
			<strong>ATTENTION</strong>: Vous devez imp&eacute;rativement effacer
			manuellement avec votre client FTP, tous les fichiers se trouvant
			dans le dossier &quot;install&quot; situ&eacute; dans le dossier du
			livre d\'or.<br />
			Effacez aussi le dossier &quot;install&quot;.<br />
			Ensuite appuyez sur le bouton &quot;Actualiser&quot; pour v&eacute;rifier
			que tout est bon.
		</p>'."\n\n";
		}


		echo '		<p>
			Vous allez &ecirc;tre dirig&eacute; vers l\'administration du livre d\'or.<br />
			Finissez la proc&eacute;dure d\'installation comme
			indiqu&eacute; dans la documentation d\'installation.
		</p>

		<p>
			Cliquez sur &quot;Termin&eacute;&quot;
		</p>'."\n\n";

		affiche_sep ();

		echo '		<div align="right">
			<a href="../admin_pass.php">
				<img src="../images/bout_termine.gif" width="100" height="22" alt="Termin&eacute;" />
			</a>
		</div>
	</div>'."\n";
	}
	else
	{
		echo '	Vous n\'&ecirc;tes pas loggu&eacute;, vous ne pouvez donc pas poursuivre cette installation.'."\n";
	}
}
?>

</div>

<p align="center">
	A.I-PifouEasyInstall <?php echo $versionPEI."\n"; ?>
</p>
</body>
</html>